Subject: Re: getenv("REQUEST_METHOD") returns NULL in a cgi environment
From: [email-masked] (Stipe Tolj)

17 Jun 1998 07:00:11 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: yang su <[email-masked]>
Cc: [email-masked]

yang su wrote:

> I am using ecgs for mingw32, so I compile my test.c like this:
> gcc test.c -o test.cgi
> then I invoke this cgi through http://some-path-to-test.cgi,
> however, I get the NULL value of getenv("REQUEST_METHOD") which
> I expect to be either POST or GET, can it be NULL in this context?
> what might be a solution for this?

what httpd daemon are you using?! You should use the latest apache/1.3.0 for
Win32 plaforms available at the official site at http://www.apache.org.

An cygwin32 port of apache/1.3.0 is up to follow, I'm considerably working on
it.

Regards, Stipe.

--
stud.rer.pol. Stipe Tolj <[email-masked]>
HTTP Server Development Management
Department of Economical Computer Science
University of Cologne, Germany
http://www-public.rz.uni-duesseldorf.de/~tolj

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".